Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Interface AddressingConstants

    public interface AddressingConstants

Encapsulation of version-specific WS-Addressing constants.

Method Summary
`QName` | `getActionNotSupportedQName()`
`String` | `getActionNotSupportedText()`
`QName` | `getActionQName()`
`QName` | `getAddressQName()`
`String` | `getAnonymousURI()`
`String` | `getDefaultFaultAction()`
`QName` | `getDestinationUnreachableQName()`
`String` | `getDestinationUnreachableText()`
`String` | `getDuplicateMessageIDText()`
`QName` | `getEndpointUnavailableQName()`
`String` | `getEndpointUnavailableText()`
`QName` | `getFaultToQName()`
`QName` | `getFromQName()`
`QName` | `getInvalidMapQName()`
`String` | `getInvalidMapText()`
`QName` | `getIsReferenceParameterQName()`
`QName` | `getMapRequiredQName()`
`String` | `getMapRequiredText()`
`QName` | `getMessageIDQName()`
`QName` | `getMetadataQName()`
`String` | `getNamespaceURI()`
`String` | `getNoneURI()`
`String` | `getPackageName()`
`QName` | `getRelatesToQName()`
`String` | `getRelationshipReply()`
`QName` | `getRelationshipTypeQName()`
`QName` | `getReplyToQName()`
`QName` | `getToQName()`
`QName` | `getWSDLActionQName()`
`QName` | `getWSDLExtensibilityQName()`
`String` | `getWSDLNamespaceURI()`

Method Detail

### getNamespaceURI

    String getNamespaceURI()

  Returns:
    namespace defined by the normative WS-Addressing Core schema

### getWSDLNamespaceURI

    String getWSDLNamespaceURI()

  Returns:
    namespace defined by the normative WS-Addressing WSDL bindings schema

### getWSDLExtensibilityQName

    QName getWSDLExtensibilityQName()

  Returns:
    QName of the WSDL extensiblity element

### getWSDLActionQName

    QName getWSDLActionQName()

  Returns:
    QName of the wsaw:Action element

### getAnonymousURI

    String getAnonymousURI()

  Returns:
    Anonymous address URI

### getNoneURI

    String getNoneURI()

  Returns:
    None address URI

### getFromQName

    QName getFromQName()

  Returns:
    QName of the From addressing header

### getToQName

    QName getToQName()

  Returns:
    QName of the To addressing header

### getReplyToQName

    QName getReplyToQName()

  Returns:
    QName of the ReplyTo addressing header

### getFaultToQName

    QName getFaultToQName()

  Returns:
    QName of the FaultTo addressing header

### getActionQName

    QName getActionQName()

  Returns:
    QName of the Action addressing header

### getMessageIDQName

    QName getMessageIDQName()

  Returns:
    QName of the MessageID addressing header

### getRelationshipReply

    String getRelationshipReply()

  Returns:
    Default value for RelationshipType indicating a reply to the related message

### getRelatesToQName

    QName getRelatesToQName()

  Returns:
    QName of the RelatesTo addressing header

### getRelationshipTypeQName

    QName getRelationshipTypeQName()

  Returns:
    QName of the Relationship addressing header

### getMetadataQName

    QName getMetadataQName()

  Returns:
    QName of the Metadata

### getAddressQName

    QName getAddressQName()

  Returns:
    QName of the Address

### getPackageName

    String getPackageName()

  Returns:
    package name of the implementation

### getIsReferenceParameterQName

    QName getIsReferenceParameterQName()

  Returns:
    QName of the reference parameter marker

### getInvalidMapQName

    QName getInvalidMapQName()

  Returns:
    QName of the Invalid Message Addressing Property fault subcode

### getMapRequiredQName

    QName getMapRequiredQName()

  Returns:
    QName of the Message Addressing Property Required fault subcode

### getDestinationUnreachableQName

    QName getDestinationUnreachableQName()

  Returns:
    QName of the Destination Unreachable fault subcode

### getActionNotSupportedQName

    QName getActionNotSupportedQName()

  Returns:
    QName of the Action Not Supported fault subcode

### getEndpointUnavailableQName

    QName getEndpointUnavailableQName()

  Returns:
    QName of the Endpoint Unavailable fault subcode

### getDefaultFaultAction

    String getDefaultFaultAction()

  Returns:
    Default Fault Action

### getActionNotSupportedText

    String getActionNotSupportedText()

  Returns:
    Action Not Supported text

### getDestinationUnreachableText

    String getDestinationUnreachableText()

  Returns:
    Destination Unreachable text

### getEndpointUnavailableText

    String getEndpointUnavailableText()

  Returns:
    Endpoint Unavailable text

### getInvalidMapText

    String getInvalidMapText()

  Returns:
    Invalid Message Addressing Property text

### getMapRequiredText

    String getMapRequiredText()

  Returns:
    Message Addressing Property Required text

### getDuplicateMessageIDText

    String getDuplicateMessageIDText()

  Returns:
    Duplicate Message ID text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF